# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3
BuildRequires: python-devel python3-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define module	gtkspellcheck
%define oname	py%{module}

Name:		python-%{module}
Summary:	Python GTK Spellchecker
Version:	4.0.1
Release:	alt1_12
License:	GPLv3+
Group:		Development/Python
Url:		http://koehlma.github.com/projects/pygtkspellcheck.html
Source0:	https://pypi.python.org/packages/source/p/%{oname}/%{oname}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(enchant)
BuildRequires:	python-module-enchant python-module-enchant-gui
BuildRequires:	python-module-sphinx
Requires:	python-module-enchant python-module-enchant-gui
Requires:	python-module-pygobject3 python-module-pygobject3-pygtkcompat
Source44: import.info

%description
A simple but quite powerful spell checking library written in pure Python
for Gtk based on Enchant.

%package -n python3-module-gtkspellcheck
Summary:	Python3 GTK Spellchecker
Group:		Development/Python
BuildRequires:	python3-module-enchant
BuildRequires:	python3-module-sphinx
Requires:	python3-module-enchant
Requires:	python3-module-pygobject3 python3-module-pygobject3-pygtkcompat

%description -n python3-module-gtkspellcheck
A simple but quite powerful spell checking library written in pure Python
for Gtk based on Enchant.

%prep
%setup -q -n %{oname}-%{version}

#for python3 build
rm -rf %{_builddir}/python3-%{name}-%{version}-%{release}
cp -a . %{_builddir}/python3-%{name}-%{version}-%{release}

#fix shebangs
find %{_builddir}/python3-%{name}-%{version}-%{release} -name "*.py" -exec sed -i -e 's,^\(#!%{_bindir}/\)env python,\1python3,' {} \;

%build
python setup.py build

pushd %{_builddir}/python3-%{name}-%{version}-%{release}
	python3 setup.py build
popd

%install
python setup.py install \
	--skip-build \
	--root=%{buildroot}

pushd %{_builddir}/python3-%{name}-%{version}-%{release}
	python3 setup.py install \
	        --skip-build \
        	--root=%{buildroot}
popd

%find_lang py2gtkspellcheck
%find_lang py3gtkspellcheck

%files -f py2gtkspellcheck.lang
%doc README.md
%{python_sitelibdir_noarch}/%{module}/
%{python_sitelibdir_noarch}/pylocales/
%{python_sitelibdir_noarch}/%{oname}-%{version}-py%{__python_version}.egg-info

%files -n python3-module-gtkspellcheck -f py3gtkspellcheck.lang
%doc README.md
%{python3_sitelibdir_noarch}/%{module}/
%{python3_sitelibdir_noarch}/pylocales/
%{python3_sitelibdir_noarch}/%{oname}-%{version}-py%{__python3_version}.egg-info


%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 4.0.1-alt1_12
- update by mgaimport

* Sat Apr 07 2018 Igor Vlasenko <viy@altlinux.ru> 4.0.1-alt1_11
- new version

